Commit f1ee0ec0 authored by Mstyles's avatar Mstyles
Browse files

Update npm-outdated-nodejs-14-ci.yml

parent 5417cb69
Pipeline #1185 passed with stage
in 31 seconds
...@@ -3,6 +3,9 @@ npm-outdated_dependency_check: ...@@ -3,6 +3,9 @@ npm-outdated_dependency_check:
image: docker-registry.wikimedia.org/nodejs12-devel:0.0.1-20211031 image: docker-registry.wikimedia.org/nodejs12-devel:0.0.1-20211031
stage: test stage: test
allow_failure: false # failed security job fails pipeline by default allow_failure: false # failed security job fails pipeline by default
variables:
NPM_OUTDATED_OPTIONS: "--ignore-pre-releases --ignore-dev-dependencies --prefer-wanted"
before_script: before_script:
- apt-get update -yqq - apt-get update -yqq
...@@ -11,7 +14,7 @@ npm-outdated_dependency_check: ...@@ -11,7 +14,7 @@ npm-outdated_dependency_check:
# create a new package lock file, run auditjs # create a new package lock file, run auditjs
script: script:
- check-outdated --ignore-pre-releases --ignore-dev-dependencies - check-outdated ${NPM_OUTDATED_OPTIONS}
# only run on changes to package and package.lock .json # only run on changes to package and package.lock .json
only: only:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment